/*
 * lcd_out.h
 *
 *  Created on: 2016/12/02
 *      Author: takayun
 */

#ifndef LCD_OUT_H_
#define LCD_OUT_H_

#include "system.h"

#define lcd_on (volatile char *) LCD_ON_BASE
#define lcd_blon (volatile char *) LCD_BLON_BASE

// LCDの初期化
void lcd_init();

// LCDのキャレットを１行目のはじめに移動する
void lcd_caret_reset();

// LCDのキャレットを２行目のはじめに移動する
void lcd_caret_reset2();

// LCDに文字を表示する
void lcd_print(const char *str);

#endif /* LCD_OUT_H_ */
